Bug 806131 - push updates wrong local contentspec
push updates wrong local contentspec
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 21:34 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.22.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-03-22 21:34:08 EDT
cspclient-0.22.3-1.noarch

When I execute csprocessor push my local Red_Hat_Engineers_Guide_to_Zanata-post.contentspec is not updated.

Actual behaviour:

Another directory is created inside my project directory, with the same name as my project-  "Red_Hat_Engineers_Guide_to_Zanata" - and the server's latest content spec is downloaded as Red_Hat_Engineers_Guide_to_Zanata-post.txt

Expected behaviour:

The local Red_Hat_Engineers_Guide_to_Zanata-post.contentspec in the current directory is overwritten with the latest server-side content spec
Comment 1 Lee Newson 2012-03-22 22:21:11 EDT
Fixed in 0.22.4

This is from another bug that Josh notified me about on irc but appears I missed for the push command.

Cause:
The program assumed that the root directory would always be set. This was causing the root directory to be set to the CWD and therefore populating the new project files in the CWD.

Consequence:
The program produced unexpected results and was creating directories where it shouldn't be.

Fix:
If no root directory is specified it will use the CWD to save items. If a root directory is specified then it will use that with the escaped title appened to save items.
Comment 2 Lee Newson 2013-06-06 21:30:20 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.